<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.sdtool</groupId>
    <artifactId>dySdDesigner</artifactId>
    <version>1.0</version>
    <packaging>pom</packaging>
    <modules>
        <module>sdCommon</module>
        <module>sdBusiness</module>
        <module>sdWebCore</module>
        <module>sdWebOne</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>17</java.version>
        <maven.compiler.source>${java.version}</maven.compiler.source>
        <maven.compiler.target>${java.version}</maven.compiler.target>
        <frame.version>10.2.89</frame.version>
    </properties>

    <repositories>
        <repository>
            <id>thirdparty</id>
            <url>http://192.168.1.243:12333/nexus/content/repositories/thirdparty/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>com.dny</groupId>
            <artifactId>dySweetFish</artifactId>
            <version>${frame.version}</version>
        </dependency>
        <dependency>
            <groupId>com.dny</groupId>
            <artifactId>dySweetFishPlugin</artifactId>
            <version>${frame.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>3.2.0</version>
                <executions>
                    <execution>
                        <id>copy</id>
                        <phase>package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.build.directory}/lib</outputDirectory>
                        </configuration>
                    </execution>
                </executions>
                <!--<fork>true</fork>-->
            </plugin>
        </plugins>
    </build>
</project>